> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Mentions

> List hard assignments and bounded exact-name candidates for one entity.

Name candidates are explicitly soft: present-day uniqueness, including an
exact full-name match, never writes or implies a hard identity assignment.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /entities/{entity_id}/mentions
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /entities/{entity_id}/mentions:
    get:
      tags:
        - entities
      summary: Get Entity Mentions
      description: >-
        List hard assignments and bounded exact-name candidates for one entity.


        Name candidates are explicitly soft: present-day uniqueness, including
        an

        exact full-name match, never writes or implies a hard identity
        assignment.
      operationId: get_entity_mentions_entities__entity_id__mentions_get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityMentionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    EntityMentionsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityMentionResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
        candidate_expansion:
          $ref: '#/components/schemas/EntityMentionCandidateExpansionResponse'
        page_counts:
          $ref: '#/components/schemas/EntityMentionPageCountsResponse'
      type: object
      required:
        - items
        - candidate_expansion
        - page_counts
      title: EntityMentionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntityMentionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        document_source:
          type: string
          title: Document Source
        document_resource_id:
          type: string
          title: Document Resource Id
        entity_type:
          type: string
          title: Entity Type
        surface_form:
          type: string
          title: Surface Form
        normalized_surface_form:
          type: string
          title: Normalized Surface Form
        context:
          type: string
          title: Context
        context_truncated:
          type: boolean
          title: Context Truncated
        start_offset:
          type: integer
          title: Start Offset
        end_offset:
          type: integer
          title: End Offset
        extraction_text_sha256:
          type: string
          title: Extraction Text Sha256
        extraction_confidence:
          type: number
          title: Extraction Confidence
        extractor_label:
          type: string
          title: Extractor Label
        extractor_version:
          type: string
          title: Extractor Version
        relationship:
          type: string
          enum:
            - hard_assignment
            - soft_candidate
          title: Relationship
        match_basis:
          type: string
          enum:
            - entity_assignment
            - exact_canonical_name
            - exact_structured_name
          title: Match Basis
        candidate_resolver_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Candidate Resolver Version
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - document_source
        - document_resource_id
        - entity_type
        - surface_form
        - normalized_surface_form
        - context
        - context_truncated
        - start_offset
        - end_offset
        - extraction_text_sha256
        - extraction_confidence
        - extractor_label
        - extractor_version
        - relationship
        - match_basis
        - created_at
        - updated_at
      title: EntityMentionResponse
    EntityMentionCandidateExpansionResponse:
      properties:
        complete:
          type: boolean
          title: Complete
        record_limit:
          type: integer
          title: Record Limit
        name_limit:
          type: integer
          title: Name Limit
        records_considered:
          type: integer
          title: Records Considered
        names_considered:
          type: integer
          title: Names Considered
        reason:
          anyOf:
            - type: string
              enum:
                - record_limit
                - name_limit
                - invalid_alias
            - type: 'null'
          title: Reason
        resolver_version:
          type: string
          title: Resolver Version
      type: object
      required:
        - complete
        - record_limit
        - name_limit
        - records_considered
        - names_considered
        - resolver_version
      title: EntityMentionCandidateExpansionResponse
    EntityMentionPageCountsResponse:
      properties:
        hard_assignments_returned:
          type: integer
          title: Hard Assignments Returned
        soft_candidates_returned:
          type: integer
          title: Soft Candidates Returned
      type: object
      required:
        - hard_assignments_returned
        - soft_candidates_returned
      title: EntityMentionPageCountsResponse
      description: Counts for this page only; the endpoint never scans for global totals.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````